	$.fn.cnbbr_com_getstrlen= function(str) {
		var len = 0;
		for (var i = 0; i < str.length; i++) {
			if (str.charCodeAt(i)>255) 	//for chinese
				len += 2;
			else
				len += 1;
		}
		return len;
	}
	$.fn.cnbbr_com_getindexgoodsclasseslist=function(clsstrmaxlength){
		$.getJSON('./bbr_ajaxgoodsclass.asp', function(data) {
		  var colsperrow = 2;		//cols of one row, notice that sync edit css style of .goods_cls_li
		  var validcount = 0;
		  var recordcount = data.length;
		  for(var i=0;i<recordcount-1;i++){
			var goods_cls_item='';
			if(data[i].upid==0){
				var goods_cls_parentid = data[i].classid;
				var goods_cls_fontcolor = data[i].fontcolor;
				if(goods_cls_fontcolor.toString()!=''&&goods_cls_fontcolor.toString()!='default'){goods_cls_fontcolor=' style="color: '+ goods_cls_fontcolor +'"';}
				if(validcount%colsperrow==0){ goods_cls_item=goods_cls_item +'<li style="clear: both; width: 100%; height: 5px; line-height: 5px; font-size: 5px;"></li>';	}
				goods_cls_item=goods_cls_item +'<li class="goods_cls_li">';
				goods_cls_item=goods_cls_item +'<a href="search_auction.asp?s1=' + data[i].classid + '" '+ goods_cls_fontcolor +'>' + data[i].classname + '</a>';
				goods_cls_item=goods_cls_item +'<p>';
				var goods_cls_strlencount=0;
				for(var j=0;j<recordcount-1;j++){
					var goods_cls_fontcolor = data[j].fontcolor;
					if(goods_cls_fontcolor.toString()!=''&&goods_cls_fontcolor.toString()!='default'){goods_cls_fontcolor=' style="color: '+ goods_cls_fontcolor +'"';}
					if(data[j].upid==goods_cls_parentid){
						goods_cls_strlencount = goods_cls_strlencount + $.fn.cnbbr_com_getstrlen(data[j].classname) +1;
						if(goods_cls_strlencount<clsstrmaxlength){	goods_cls_item=goods_cls_item +'<a href="search_auction.asp?s2=' + data[j].classid + '" '+ goods_cls_fontcolor +'>' + data[j].classname + '</a> '; }
					}
				}
				goods_cls_item=goods_cls_item +'</p>';
				goods_cls_item=goods_cls_item +'</li>';
				$(".goods_cls").append(goods_cls_item);
				validcount=validcount+1;
			}
		  }
		});
	}